juzu.io

## Class Streams

- java.lang.Object
- - juzu.io.Streams

-     public class Streams
      extends Object

  Implementation of the `Stream` interface that uses an appendable delegate.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Streams()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Stream` | `appendable(Charset charset, Appendable appendable)`
    `static <A extends OutputStream & Flushable & Closeable> Stream` | `closeable(Charset charset, A appendable)`
    `static <A extends Appendable & Flushable & Closeable> Stream` | `closeable(Charset charset, A appendable)`
    `static Stream` | `empty()`
    `static <A extends Appendable & Flushable> Stream` | `flushable(Charset charset, A appendable)`
    `static Streamable` | `streamable(Readable readable)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Streams

          public Streams()

  - ### Method Detail

    - #### empty

          public static Stream empty()

    - #### streamable

          public static Streamable streamable(Readable readable)

    - #### appendable

          public static Stream appendable(Charset charset,
                          Appendable appendable)

    - #### flushable

          public static <A extends Appendable & Flushable> Stream flushable(Charset charset,
                                                           A appendable)

    - #### closeable

          public static <A extends Appendable & Flushable & Closeable> Stream closeable(Charset charset,
                                                                      A appendable)

    - #### closeable

          public static <A extends OutputStream & Flushable & Closeable> Stream closeable(Charset charset,
                                                                        A appendable)

Copyright © 2013 eXo Platform SAS. All Rights Reserved.